Bug 1543 - AIX fails to compile Samba when using Visual Age Compiler
AIX fails to compile Samba when using Visual Age Compiler
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.4
PPC AIX
: P3 normal
: none
Assigned To: Tim Potter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-20 03:07 UTC by cartman
Modified: 2005-08-24 10:19 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description cartman 2004-07-20 03:07:51 UTC
Attempts to compile Samba 3.0.4 using default options fails when using the IBM 
Visual Age Compiler (XLC) under AIX 5.1. The following error is reported 
(numerous times at various stages of the compilation):

      checking whether building shared libraries actually works... cc: 1501-218 
file shlib.po contains an incorrect file suffix

Resolution requires an edit of the file ./samba-3.0.4/source/configure and 
setting the PICSUFFIX variable in the AIX section (as is done for the Solaris 
section). The diff context output is as follows:

$ diff -c samba-3.0.4/source/configure.bug samba-3.0.4/source/configure
*** samba-3.0.4/source/configure.bug    Tue Jul 20 04:40:45 2004
--- samba-3.0.4/source/configure        Tue Jul 20 04:37:11 2004
***************
*** 17934,17939 ****
--- 17934,17940 ----
   if test "${GCC}" != "yes"; then
       ## for funky AIX compiler using strncpy()
       CFLAGS="$CFLAGS -D_LINUX_SOURCE_COMPAT -qmaxmem=32000"
+      PICSUFFIX="po.o"
   fi
Comment 1 Tim Potter 2004-07-22 23:21:16 UTC
Applied - thanks!
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:19:03 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.